VectorLinux

Please login or register.

Login with username, password and session length
Advanced search  

News:

Visit our home page for VL info. For support and documentation, visit the Vector Linux Knowledge Center or search the Knowledge Center and this Forum using the search box above.

Author Topic: slapt-get --no-dep gives me segmentation fault  (Read 1664 times)

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
slapt-get --no-dep gives me segmentation fault
« on: January 07, 2008, 11:28:49 pm »

This is a fresh new install of VL 5.9 (deluxe).
When trying to remove a package using slapt-get with the --no-dep argument I get a segmentation fault.
(I don't think the problem applies to --install, but I'm not sure).

Anyone can replicate?

Thank you.
Logged

The Headacher

  • Louder than you
  • Global Moderator
  • Vectorian
  • *****
  • Posts: 1553
  • I like the bass to go BOOM!
    • Multimedia on VL (work in progress)
Re: slapt-get --no-dep gives me segmentation fault
« Reply #1 on: January 08, 2008, 05:12:10 am »

I had the same with "slapt-get --remove --no-dep", but "removepkg" seemed to work fine.
Logged
Most music on my soundcloud page was arranged in programs running on VL.

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: slapt-get --no-dep gives me segmentation fault
« Reply #2 on: January 08, 2008, 06:11:03 am »

oh, I'd forgotten about that possibility.
That would give me the same result, right?
Logged

The Headacher

  • Louder than you
  • Global Moderator
  • Vectorian
  • *****
  • Posts: 1553
  • I like the bass to go BOOM!
    • Multimedia on VL (work in progress)
Re: slapt-get --no-dep gives me segmentation fault
« Reply #3 on: January 08, 2008, 07:35:37 am »

Quote
That would give me the same result, right?
It should. slapt-get uses pkgtools to do it's actual work. But pkgtools doesn't do the dependency checking, that is done by slapt-get.
Logged
Most music on my soundcloud page was arranged in programs running on VL.

wcs

  • Packager
  • Vectorian
  • ****
  • Posts: 1144
Re: slapt-get --no-dep gives me segmentation fault
« Reply #4 on: January 11, 2008, 03:58:28 pm »

Thanks for that. I'll be using removepkg, when I don't want anything else being removed.
(I've been finding a few problems in slapt-get... sometimes it wants to remove a whole lot more that I ask it for. But I'll start another thread for that).
Logged